## tcl8.5 8.5.11

=== debian/changelog ===
tcl8.5 (8.5.11-2ubuntu1) quantal; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Don't use tcl itself to install things when building, to allow for
      cross-building.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 02 Jul 2012 15:39:58 +0100

tcl8.5 (8.5.11-2) unstable; urgency=low

  * Install library(3tcl), packagens(3tcl), pkgMkIndex(3tcl) and safe(3tcl)
    manpages despite of upstream renaming them because they are referenced
    from the other pages.
  * Removed Chris Waters wrom the uploaders list (closes: #664112).
  * Renamed suggested dependency to tcl-tclreadline.
  * Switched to 3.0 (quilt) source package format.
  * Bumped debhelper compatibility version to 8.
  * Added hardening build flags using dpkg-buildflags.
  * Bumped standards version to 3.9.3.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 28 May 2012 17:17:31 +0400

tcl8.5 (8.5.11-1ubuntu1) precise; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Don't use tcl itself to install things when building, to allow for
      cross-building.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 20 Dec 2011 18:16:54 +0000

tcl8.5 (8.5.11-1) unstable; urgency=low

  * New upstream release.
  * Added build-arch and build-indep targets to debian/rules.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 09 Dec 2011 10:41:59 +0400

tcl8.5 (8.5.10-1ubuntu1) oneiric; urgency=low

  [ Steve McIntyre ]
  * Don't use tcl itself to install things when building, to allow for
    cross-building (closes: #631995, LP: #623212).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 22 Sep 2011 15:20:13 +0100

tcl8.5 (8.5.10-1) unstable; urgency=low

  * New upstream release (closes: #617628).
  * Changed tclsh8.5 alternative priority to 850 to make it higher than
    tclsh8.4 one.
  * Bumped standards version to 3.9.2.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 26 Jun 2011 11:47:14 +0400

tcl8.5 (8.5.9-2) unstable; urgency=low

  * Moved /usr/share/tcltk/tcl8.5/tclConfig.sh back to the /usr/lib/tcl8.5
    directory because it is architecture dependent (closes: #611650).

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 03 Mar 2011 20:01:52 +0300

tcl8.5 (8.5.9-1) experimental; urgency=low

  * New upstream release.
  * Removed patch which fixed FTBFS on MIPS architectures as it is no longer
    needed.
  * Fixed license in debian/copyright.
  * Bumped standards version to 3.9.1.
  * Added ${misc:Depends} to debian/control.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 05 Nov 2010 13:33:59 +0300

tcl8.5 (8.5.8-2) unstable; urgency=low

  * Fixed building on MIPS architectures. The upstream changes in 8.5.8
    include changing FPU settings which isn't possible in Debian GNU/Linux
    (and isn't required also).

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 22 Nov 2009 14:23:53 +0300

tcl8.5 (8.5.8-1) unstable; urgency=low

  * New upstream release (closes: #548656).
  * Added libtommath headers to private Tcl headers directory.
  * Added README.source file wich explains how to get patched source tree from
    the original tarball and set of patches in debian/patches.
  * Bumped standards version to 3.8.3.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 17 Nov 2009 22:05:26 +0300

tcl8.5 (8.5.7-1) unstable; urgency=low

  * New upstream release.
  * Bumped standards version to 3.8.1.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 17 Apr 2009 19:08:08 +0400

tcl8.5 (8.5.6-3) unstable; urgency=low

  * Don't remove tclsh alternative in case of package upgrade because the
    manually installed alternative is also removed which isn't desirable.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 01 Mar 2009 10:35:30 +0300

tcl8.5 (8.5.6-2) unstable; urgency=low

  * Upload to unstable.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 25 Feb 2009 15:57:39 +0300

tcl8.5 (8.5.6-1) experimental; urgency=low

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 24 Dec 2008 14:21:54 +0300

tcl8.5 (8.5.5-1) experimental; urgency=low

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 17 Oct 2008 12:38:13 +0400

tcl8.5 (8.5.4-1) experimental; urgency=low

  * New upstream release.
  * Restored DLL unloading for hppa and kfreebsd architectures because this
    bug was worked around in glibc.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 23 Aug 2008 16:38:36 +0400

tcl8.5 (8.5.3-2) unstable; urgency=low

  * Decreased priority of tclsh (and corresponding manpage) alternative
    because tcl8.4 is still a default Tcl package.
  * Disabled DLL unloading also on hppa architectures.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 15 Jul 2008 18:21:17 +0400

tcl8.5 (8.5.3-1) unstable; urgency=low

  * New upstream release.
  * Disabled DLL unloading on kfreebsd-i386 and kfreebsd-amd64 architectures
    because enabling it leads to segfaults on exit in threaded Tcl builds
    (closes: #488684).

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 02 Jul 2008 21:09:21 +0400

tcl8.5 (8.5.2-3) unstable; urgency=low

  * Protected quilt calls in debian/rules to make the source package
    convertible to 3.0 (quilt) format (closes: #484915).
  * Added a patch by Stanislav Maslovski which restores relative inlude path
    for tclUnixPort.h in tclPort.h. This is harmless if unix directory is
    included into a serach path but allows to maintain backward compatibility
    (closes: #488491).

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 30 Jun 2008 12:37:40 +0400

tcl8.5 (8.5.2-2) unstable; urgency=low

  * Fixed clean target to work with debhelper 7.0 (made dh_clean the last
    command, so debhelper logs are removed now).
  * Moved Tcl modules to /usr/share/tcl8.5/tcl8 directory to prevent clashes
    with future tcl8.6 package.
  * Bumped standards version to 3.8.0.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 26 Jun 2008 19:55:56 +0400

tcl8.5 (8.5.2-1) unstable; urgency=low

  * New upstream release.
  * Quoted CFLAGS in debian/rules when passing to the shell, not when

