## tcl8.5 8.5.13

=== debian/changelog ===
tcl8.5 (8.5.13-1ubuntu4) raring; urgency=low

  * Make tcl8.5-dev depend on dpkg-dev for dpkg-architecture.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 22 Apr 2013 13:45:02 +0100

tcl8.5 (8.5.13-1ubuntu3) raring; urgency=low

  * Provide /usr/lib/tcl8.5/tclConfig.sh for compatibility, fixing build
    failures elsewhere.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 22 Apr 2013 12:00:18 +0100

tcl8.5 (8.5.13-1ubuntu2) raring; urgency=low

  * Multiarchify package: split libs and tclConfig.sh into -lib
      package and use multiarch paths (LP: #1122120)
  * Fix failure to clean and build twice

 -- Wookey <wookey@wookware.org>  Tue, 12 Mar 2013 10:59:49 +0000

tcl8.5 (8.5.13-1ubuntu1) raring; urgency=low

  * Resynchronise with Debian.
    Remaining changes:
    - Don't use tcl itself to install things when building, to allow for
      cross-building.

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 05 Dec 2012 14:38:01 +0100

tcl8.5 (8.5.13-1) experimental; urgency=low

  * New upstream release.
  * Refreshed patches in debian/patches directory.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 24 Nov 2012 11:53:46 +0400

tcl8.5 (8.5.12-1) experimental; urgency=low

  * New upstream release.
  * Refreshed patches in debian/patches directory.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 28 Jul 2012 09:57:40 +0400
