=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Tcl/Tk Debian Packagers <pkg-tcltk-devel@lists.alioth.debian.org>
 Uploaders: Sergei Golovan <sgolovan@debian.org>
-Build-Depends: debhelper (>= 8.0.0), dpkg-dev (>= 1.16.1~)
+Build-Depends: debhelper (>= 9.0.0), dpkg-dev (>= 1.16.1~)
 Standards-Version: 3.9.3
 Homepage: http://www.tcl.tk/
 
@@ -12,14 +12,28 @@
 Section: interpreters
 Priority: optional
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, tcl8.5-lib (= ${binary:Version})
 Conflicts: tcl74 (<= 7.4p3-2)
 Provides: tclsh
 Suggests: tcl-tclreadline
+Multi-Arch: foreign
 Description: Tcl (the Tool Command Language) v8.5 - run-time files
  Tcl is a powerful, easy to use, embeddable, cross-platform interpreted
  scripting language.  This package contains everything you need to run
  Tcl scripts and Tcl-enabled apps.  This version includes thread support.
+
+Package: tcl8.5-lib
+Section: interpreters
+Priority: optional
+Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: tcl74 (<= 7.4p3-2)
+Multi-Arch: same
+Description: Tcl (the Tool Command Language) v8.5 - run-time library files
+ Tcl is a powerful, easy to use, embeddable, cross-platform interpreted
+ scripting language.  This package contains the tcl library.  This version 
+ includes thread support.
 
 Package: tcl8.5-doc
 Section: doc
@@ -37,8 +51,9 @@
 Section: devel
 Priority: optional
 Architecture: any
-Depends: tcl8.5 (= ${binary:Version}), ${misc:Depends}
+Depends: tcl8.5-lib (= ${binary:Version}), tcl8.5 (= ${binary:Version}), ${misc:Depends}, dpkg-dev
 Suggests: tcl8.5-doc
+Multi-Arch: same
 Description: Tcl (the Tool Command Language) v8.5 - development files
  Tcl is a powerful, easy-to-use, embeddable, cross-platform interpreted
  scripting language.  This package contains the headers and libraries
