## tcl8.5 8.5.15

=== debian/changelog ===
tcl8.5 (8.5.15-4ubuntu1) utopic; urgency=medium

  * Merge with Debian; remaining changes:
    - Don't check for broken strtod behaviour on Solaris.
  * Add a strong dependency for tcl8.5 on libtcl8.5.
  * Add conflicts/replaces for tcl8.5-lib to libtcl8.5 renaming.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 08 Aug 2014 13:11:53 +0200

tcl8.5 (8.5.15-4) unstable; urgency=low

  * Upload into unstable.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 08 Mar 2014 08:49:38 +0400

tcl8.5 (8.5.15-3) experimental; urgency=low

  * Restored tcl8.5.prerm script which removes alternative for
    /usr/bin/tclsh8.5 (closes: #720143).
  * Export ac_cv_func_strtod=yes and tcl_cv_strtod_buggy=1 to help with
    cross-build (closes: #719247).
  * Added ${misc:Depends} substvar for libtcl8.5-dbg package.
  * Bumped standards version to 3.9.5.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 10 Jan 2014 12:04:08 +0400

tcl8.5 (8.5.15-2ubuntu1) trusty; urgency=medium

  * Merge with Debian; remaining changes:
    - Don't check for broken strtod behaviour on Solaris.
  * Add a strong dependency for tcl8.5 on libtcl8.5.
  * Add conflicts/replaces for tcl8.5-lib to libtcl8.5 renaming.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 01 Jan 2014 21:18:05 +0100

tcl8.5 (8.5.15-2) experimental; urgency=low

  * Added the libtcl8.5-dbg package with libtcl8.5 debug symbols in it.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 12 Oct 2013 10:15:27 +0400

tcl8.5 (8.5.15-1) experimental; urgency=low

  * New upstream release.
  * Renamed the development package back to tcl8.5-dev after a discussion
    on debian-devel mailing list.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 25 Sep 2013 21:22:27 +0400

tcl8.5 (8.5.14-5) experimental; urgency=low

  * Removed unnecessary patches for init.tcl and tclPort.h.
  * Make libtcl8.5-dev depend on tcl8.5 for better backward compatibility.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 19 Aug 2013 21:22:32 +0400

tcl8.5 (8.5.14-4) experimental; urgency=low

  * Renamed tcl8.5-lib and tcl8.5-dev packages to libtcl8.5 and libtcl8.5-dev
    to match common practice of packaging interpreters for Debian.
  * Added forgotten multi-arch field to the libtcl8.5-dev package.
  * Added dpkg-dev to the libtcl8.5-dev dependencies (for dpkg-architecture).
  * Fixed the maintainer 'name'.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 31 Jul 2013 10:50:38 +0400

tcl8.5 (8.5.14-3) experimental; urgency=low

  * Added tzdata to tcl8.5-lib dependencies to ensure the OS-wide timezone
    data are used in the [clock] command.
  * Bumped debhelper compatibility version to 9.
  * Added multi-arch support. This includes splitting out the tcl8.5-lib
    library package with libtcl8.5.so and tclConfig.sh moved into a
    multi-archified location (closes: #698674).
  * Recreated /usr/lib/tcl8.5/tclConfig.sh for backward compatibility
    (intend to remove in the future).
  * Removed .0 suffix from the libtcl8.5.so library in order to remove
    unnecessary diversions from the upstream practice, provided the symlink
    for backward compatibility (intend to remove in the future).
  * Switched to calculating dependency on tcl8.5-lib via a symbols table.
  * Don't use the alternatives mechanism for selecting /usr/bin/tclsh. This
    package ships only /usr/bin/tclsh8.5. The tcltk-defaults package provides
    the necessary symlink. This also means that tcl8.5 does no longer provide
    the tclsh virtual package.
  * Moved the old changelogs to the tcl8.5-doc package to reduce size of the
    tcl8.5 one.
  * Fixed clean target in debian/rules.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 12 Jul 2013 14:58:00 +0400

tcl8.5 (8.5.14-2) unstable; urgency=low

  * Don't compress manpages twice when building the package.
  * Bumped standards version to 3.9.4.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 26 Jun 2013 11:48:11 +0400

tcl8.5 (8.5.14-1) experimental; urgency=low

  * New upstream release.
  * Refreshed patches in debian/patches directory.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 18 Apr 2013 13:05:59 +0400

tcl8.5 (8.5.13-1ubuntu5) trusty; urgency=low

  * Don't check for broken strtod behaviour on Solaris.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 Dec 2013 17:48:47 +0100
