## tcl8.5 8.5.17

=== debian/changelog ===
tcl8.5 (8.5.17-1) unstable; urgency=medium

  * New upstream release.
  * Refreshed patches.
  * Bumped standards version to 3.9.6.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 24 Oct 2014 23:25:30 +0400

tcl8.5 (8.5.16-1) unstable; urgency=low

  * New upstream release.
  * Refreshed patches.
  * Added a new symbol to the debian/libtcl8.5.symbols file.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 25 Aug 2014 18:58:56 +0400
