=== debian/rules ===
--- 
+++ 
@@ -127,8 +127,8 @@
 	dh_shlibdeps -a -ldebian/libtcl$(v)/usr/lib/$(DEB_HOST_MULTIARCH)
 
 get-orig-source:
-	wget -O tcl$(v)_$(v).15.orig.tar.gz \
-	     http://prdownloads.sourceforge.net/tcl/tcl$(v).15-src.tar.gz
+	wget -O tcl$(v)_$(v).17.orig.tar.gz \
+	     http://prdownloads.sourceforge.net/tcl/tcl$(v).17-src.tar.gz
 
 .PHONY: override_dh_auto_clean override_dh_auto_configure override_dh_auto_install \
 	override_dh_strip override_dh_makeshlibs override_dh_shlibdeps get-orig-source
