## tcl8.5 8.5.18

=== debian/changelog ===
tcl8.5 (8.5.18-2ubuntu1) wily; urgency=low

  * Merge with Debian (LP: #1417563); remaining changes:
    - Don't check for broken strtod behaviour on Solaris.
  * Add a strong dependency for tcl8.5 on libtcl8.5.
  * Add conflicts/replaces for tcl8.5-lib to libtcl8.5 renaming.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Mon, 11 May 2015 12:21:40 +0200

tcl8.5 (8.5.18-2) unstable; urgency=medium

  * Upload to unstable.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 05 May 2015 13:48:55 +0300

tcl8.5 (8.5.18-1) experimental; urgency=medium

  * New upstream release.
  * Upload to experimental because of the jessie freeze.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 09 Mar 2015 10:09:42 +0300
