## tcl8.5 8.5.19

=== debian/changelog ===
tcl8.5 (8.5.19-1) unstable; urgency=medium

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 03 Mar 2016 15:51:07 +0300

tcl8.5 (8.5.18-3) unstable; urgency=medium

  * Replaced calling ldconfig in postinst/postrm scripts by a trigger
    (closes: #811121).
  * Fixed the tclConfig.sh serach path in the tcl8.5.m4 (closes: #777085).

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 16 Jan 2016 12:59:47 +0300
