=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: tcl8.5
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Tcl/Tk Debian Packagers <pkg-tcltk-devel@lists.alioth.debian.org>
+Maintainer: Debian Tcl/Tk Packagers <pkg-tcltk-devel@lists.alioth.debian.org>
 Uploaders: Sergei Golovan <sgolovan@debian.org>
 Build-Depends: debhelper (>= 9.0.0), dpkg-dev (>= 1.16.1~)
 Standards-Version: 3.9.6
@@ -12,7 +11,7 @@
 Section: interpreters
 Priority: optional
 Architecture: any
-Depends: libtcl8.5 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: tcl74 (<= 7.4p3-2)
 Suggests: tcl-tclreadline
 Multi-Arch: foreign
@@ -27,8 +26,8 @@
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: tzdata, ${shlibs:Depends}, ${misc:Depends}
-Conflicts: tcl8.5 (<< 8.5.14-3), tcl8.5-lib (<< 8.5.14-3), tcl74 (<= 7.4p3-2)
-Replaces: tcl8.5 (<< 8.5.14-3), tcl8.5-lib (<< 8.5.14-3)
+Conflicts: tcl8.5 (<< 8.5.14-3), tcl74 (<= 7.4p3-2)
+Replaces: tcl8.5 (<< 8.5.14-3)
 Suggests: tcl8.5
 Provides: libtcl
 Multi-Arch: same
