=== debian/rules ===
--- 
+++ 
@@ -118,17 +118,16 @@
 	dh_strip -plibtcl$(v) --dbg-package=libtcl$(v)-dbg
 	dh_strip -a -Nlibtcl$(v)
 
-override_dh_makeshlibs: /usr/share/debhelper/autoscripts/postinst-makeshlibs /usr/share/debhelper/autoscripts/postrm-makeshlibs
+override_dh_makeshlibs:
 	dh_makeshlibs -a -Xtcltest
-	cat /usr/share/debhelper/autoscripts/postinst-makeshlibs >>debian/libtcl$(v).postinst.debhelper
-	cat /usr/share/debhelper/autoscripts/postrm-makeshlibs >>debian/libtcl$(v).postrm.debhelper
+	echo 'activate-noawait ldconfig' >>debian/libtcl$(v).triggers
 
 override_dh_shlibdeps:
 	dh_shlibdeps -a -ldebian/libtcl$(v)/usr/lib/$(DEB_HOST_MULTIARCH)
 
 get-orig-source:
-	wget -O tcl$(v)_$(v).18.orig.tar.gz \
-	     http://prdownloads.sourceforge.net/tcl/tcl$(v).18-src.tar.gz
+	wget -O tcl$(v)_$(v).19.orig.tar.gz \
+	     http://prdownloads.sourceforge.net/tcl/tcl$(v).19-src.tar.gz
 
 .PHONY: override_dh_auto_clean override_dh_auto_configure override_dh_auto_install \
 	override_dh_strip override_dh_makeshlibs override_dh_shlibdeps get-orig-source
