=== debian/watch ===
version=3
http://sf.net/tcl/tcl(8\.5\.\d+)-src\.tar\.gz
